List locale versions
1 min
GET
https://api.cms.optimizely.com/v1/content/{key}/locales/{locale}
Path Parameters
- keystringrequiredDescription
- localestringrequiredDescription
Query Parameters
- pageIndexinteger<int32>DescriptionFormatint32Minimum0Maximum10000
- pageSizeinteger<int32>DescriptionFormatint32Minimum1Maximum10000
Responses
200
- ContentVersionPageDescription
- itemsContentVersion[]Description
- ContentData
- bindingContentBindingDescription
- contentTypeBindingstringDescription
- sourcestring<uri>requiredDescriptionFormaturi
- propertiesmap<string, PropertyData>Description
- object
- keystringDescription
- localestringDescription
- versionstringDescription
- variationstringDescription
- contentTypestringDescription
- displayNamestringrequiredDescriptionMin Length1Max Length255
- publishedstring<date-time>DescriptionFormatdate-time
- expiredstring<date-time>DescriptionFormatdate-time
- statusstringExamplesdraftreadypublishedpreviousscheduledrejectedinReviewDescription
- delayPublishUntilstring<date-time>DescriptionFormatdate-time
- routeSegmentstringDescriptionMax Length255
- simpleRoutestringDescriptionMax Length253Pattern^[^/].*$
- lastModifiedstring<date-time>Formatdate-time
- lastModifiedBystring
- compositionCompositionNodeDescription
- idstringDescription
- displayNamestringDescriptionMax Length255
- nodeTypestringrequiredDescriptionMin Length1
- layoutTypestringDescription
- displaySettingsCompositionDisplaySettingsDescription
- displayTemplatestringrequiredDescriptionMin Length1
- settingsmap<string, string>Description
- componentContentComponentDescription
- ContentData
- Circular-Reference
- object
- referencestring<uri>DescriptionFormaturi
- contentTypestringDescription
- nodesCompositionNode[]Description
- Circular-Reference
- mediaMediaDataDescription
- keystringDescriptionPattern^[a-f0-9]{32}\.[a-zA-Z0-9]{1,20}$
- pageIndexinteger<int32>DescriptionFormatint32
- pageSizeinteger<int32>DescriptionFormatint32
- totalCountinteger<int32>DescriptionFormatint32
401
403
404
429
- ProblemDetails
- typestring<uri>DescriptionFormaturi
- titlestringDescription
- statusinteger<int32>DescriptionFormatint32Minimum100Maximum599
- detailstringDescription
- instancestring<uri>DescriptionFormaturi
- codestringDescription
- errorsobject[]Description
- detailstringDescription
- fieldstringExampleDescription
Response Headers
- Retry-AfternumberDescription
500
curl
curl --request GET \
--url https://api.cms.optimizely.com/v1/content/{key}/locales/{locale} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cms.optimizely.com/v1/content/{key}/locales/{locale}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cms.optimizely.com/v1/content/{key}/locales/{locale}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cms.optimizely.com/v1/content/{key}/locales/{locale}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"items": {},
"pageIndex": "",
"pageSize": "",
"totalCount": ""
}401
// Unauthorized
403
// Forbidden
404
// Not Found
429
// Too Many Requests
{
"type": "",
"title": "",
"status": "",
"detail": "",
"instance": "",
"code": "",
"errors": [
{
"detail": "",
"field": "properties.header.displayName"
}
]
}500
// Internal Server Error